## Apache Zeta Components Manual :: Docs For Class ezcConsoleMenuDialogOptions

### ConsoleTools::ezcConsoleMenuDialogOptions

### Class ezcConsoleMenuDialogOptions

Basic options class for ezcConsoleDialog implementations.

Source for this file: /ConsoleTools/src/options/menu_dialog.php

    ezcBaseOptions
       |
       --ezcConsoleDialogOptions
          |
          --ezcConsoleMenuDialogOptions

Version: | //autogen//

### Properties

string | read/write | `$format` The output format for the dialog.
string | read/write | `$formatString` The format string for each menu element.
string | read/write | `$selectText` The test to display after the menu to indicate the user that he should select an item.
string | read/write | `$text` The text to display before the menu.
ezcConsoleMenuDialogValidator | read/write | `$validator` The validator to use with this menu.

### Inherited Member Variables

From ezcConsoleDialogOptions
protected | `ezcConsoleDialogOptions::$properties`

### Method Summary

public ezcConsoleMenuDialogOptions | `__construct( [ $options = array()] )` Construct a new options object.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcConsoleMenuDialogOptions __construct( [ $options = array()] )

Construct a new options object.

Options are constructed from an option array by default. The constructor automatically passes the given options to the __set() method to set them in the class.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) | The initial options to set.

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | If the value for a property is out of range.
`ezcBasePropertyNotFoundException` | If trying to access a non existent property.

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

Documentation generated by phpDocumentor 1.4.3